Package com.sap.ai.sdk.grounding.model

# Class MetadataOperation

java.lang.Object
com.sap.ai.sdk.grounding.model.MetadataOperation

public class MetadataOperation extends Object
MetadataOperation

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MetadataOperation.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetadataOperation()`
  Default constructor for MetadataOperation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataOperation`
  `addValuesItem(String valuesItem)`
  Add one values instance to this `MetadataOperation`.
  `static MetadataOperation.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MetadataOperation` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetadataOperation`.
  `MetadataOperationEnum`
  `getOp()`
  Get op
  `List<String>`
  `getValues()`
  List of values to update.
  `int`
  `hashCode()`
  `MetadataOperation`
  `op(MetadataOperationEnum op)`
  Set the op of this `MetadataOperation` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetadataOperation` instance.
  `void`
  `setOp(MetadataOperationEnum op)`
  Set the op of this `MetadataOperation` instance.
  `void`
  `setValues(List<String> values)`
  Set the values of this `MetadataOperation` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetadataOperation` instance including unrecognized properties.
  `String`
  `toString()`
  `MetadataOperation`
  `values(List<String> values)`
  Set the values of this `MetadataOperation` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetadataOperation

    protected MetadataOperation()
    Default constructor for MetadataOperation.

- ## Method Details

  - ### op

    @Nonnull public MetadataOperation op(@Nonnull MetadataOperationEnum op)
    Set the op of this `MetadataOperation` instance and return the same instance.
    Parameters:
      `op` - The op of this `MetadataOperation`
    Returns:
      The same instance of this `MetadataOperation` class

  - ### getOp

    @Nonnull public MetadataOperationEnum getOp()
    Get op
    Returns:
      op The op of this `MetadataOperation` instance.

  - ### setOp

    public void setOp(@Nonnull MetadataOperationEnum op)
    Set the op of this `MetadataOperation` instance.
    Parameters:
      `op` - The op of this `MetadataOperation`

  - ### values

    @Nonnull public MetadataOperation values(@Nullable List<String> values)
    Set the values of this `MetadataOperation` instance and return the same instance.
    Parameters:
      `values` - List of values to update.
    Returns:
      The same instance of this `MetadataOperation` class

  - ### addValuesItem

    @Nonnull public MetadataOperation addValuesItem(@Nonnull String valuesItem)
    Add one values instance to this `MetadataOperation`.
    Parameters:
      `valuesItem` - The values that should be added
    Returns:
      The same instance of type `MetadataOperation`

  - ### getValues

    @Nullable public List<String> getValues()
    List of values to update.
    Returns:
      values The values of this `MetadataOperation` instance.

  - ### setValues

    public void setValues(@Nullable List<String> values)
    Set the values of this `MetadataOperation` instance.
    Parameters:
      `values` - List of values to update.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetadataOperation`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetadataOperation` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetadataOperation` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetadataOperation` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetadataOperation.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MetadataOperation` instance with all required arguments.